Subject: Re: bug#12216: peek-char incorrectly *CONSUMES* eof

From: Andy Wingo <[email-masked]>
Date: Thu, 04 Apr 2013 22:00:35 +0200

On Tue 02 Apr 2013 21:41, Mark H Weaver <[email-masked]> writes:

> Good idea!  I've posted separate patches to do that here:
>
>   "[PATCH] Move slow path out of 'scm_get_byte_or_eof' et al"
>   http://lists.gnu.org/archive/html/guile-devel/2013-04/msg00032.html

Cool, and thanks to Ludo for review there.  Just to note, if you end up
doing any more work on these functions in the future, you should move
them to ports.h.  See 18cd9aff9429c99ffae34448507f9b468e20e06f for an
example of what I'm talking about.

>> 2. I think we probably need some tests.
>
> I've attached a new patch which adds tests.  Note that this patch
> depends upon the "Move slow path out" patches referenced above.

Looks great to me.  Thanks for following up on this!

Andy
-- 
http://wingolog.org/